Subject: Re: Could the DTS experts look at this?

From: Sean MacLennan <[email-masked]>
Date: Sun, 10 Feb 2008 22:49:55 -0500

David Gibson wrote:
> On Sun, Feb 10, 2008 at 09:40:19PM -0500, Sean MacLennan wrote:
>   
>> David Gibson wrote:
>>     
>>> This doesn't seem right.  warp_fixup_one_nor() changes only the
>>> partition's offset, so you're not changing the size of any
>>> partitions.  If you're not going to actually use any of the extra
>>> flash space with 64M, I can't see why you'd bother moving around the
>>> partitions you have.
>>>   
>>>       
>> u-boot must be at the bottom of the flash. Also, for the 64M NOR flash 
>> you can put everything in the NOR flash, I just don't show the 
>> partitions. Booting from NOR is *much* faster than  booting from
>> NAND.
>>     
>
> Sorry, still not really following what's going on.  Without worrying
> about the dts formatting or fixup code, can you summarise what the two
> flash maps look like?
>
>   
I guess what is confusing is that I am actually working with 3 flash 
maps right now, although there will only be one map in the final version.

Map1:

NOR:
  Kernel @ 0
  Ramdisk
  User
  FPGA
  Env
  U-boot @ 63.5M

Map 2:

NOR:
  FPGA
  Env
  U-boot @ 63.5M
NAND:
  Kernel @ 0
  Ramdisk
  User

Map 3:
  Same as Map 2 only 4M NOR rather than 64M, so u-boot @ 3.5M.

The u-boot, env, and FPGA are anchored at the bottom of the flash. 
Kernel is anchored at the top. Everything else goes in the middle.

The FPGA partition contains the FPGA image. The user partition contains 
a persistent JFFS2 file system. I don't use the user partition, so it 
doesn't show up in the map I sent.

So map 1 was used until we got the NAND working. Map 2 is an interim 
solution until we get the 4M flash. Map 3 is the final version.

Cheers,
   Sean